let winston = require('winston');

var loggerW = winston.createLogger({
    level: 'info',
    format: winston.format.combine(
        winston.format.timestamp(),
        winston.format.printf(info => {
            return `${info.timestamp} ${info.level}: ${info.message}`;
        },
        error => {
            return `${error.timestamp} ${error.level}: ${error.message}`;
        })
    ),
    transports: [
        //new winston.transports.Console(),
        new winston.transports.File({ filename: 'combined.log' })
      ]
});

exports.errorMensaje=function (req,er){
    let usuario = req.usuario;
    if(req.body.usuario){
        usuario= req.body.usuario;
    }
    let ipUsuario=req.headers['user-agent'] ||null;
    //console.log(ipUsuario+" ip");
    let mensaje = "ERROR--"+er+"--ERROR El usuario: |"+usuario +"| solicita "+req.originalUrl+" en el Dispositivo: "+ipUsuario;
    loggerW.error(mensaje);
}
exports.serverActionInfo=function (req,serverAction){
    let usuario = req.usuario;
    if(req.body.usuario){
        usuario= req.body.usuario;
    }
    let ipUsuario=req.headers['user-agent'] ||null;
    let mensaje = "ACCION DEL SERVIDOR--"+serverAction+"-- Para el usuario: |"+usuario +"|" +" en el Dispositivo: "+ipUsuario;
    loggerW.info(mensaje);
}

exports.log = function(req, res, next) {
    let usuario = req.usuario;
    if(req.body.usuario){
        usuario= req.body.usuario;
    }
    let ipUsuario=req.headers['user-agent'] ||null;
    //console.log(ipUsuario+" ip");
;
    let mensaje = "El usuario: |"+usuario +"| solicita "+req.originalUrl+" en el Dispositivo: "+ipUsuario;
    loggerW.info(mensaje);
    //loggerW.error(mensaje);
    next();
}
