var express = require('express');
var router = express.Router();
const auth = require('../middlewares/auth');
const log = require('../middlewares/log');



var compartidos = require('../controllers/CompartidosController.js');


router.get('/listaUsuarios', auth.Authenticated,log.log, compartidos.listaUsuarios);
router.get('/listaCompartidos', auth.Authenticated,log.log, compartidos.listaCompartidos);
router.get('/listaCompartidosConmigo', auth.Authenticated,log.log, compartidos.listaCompartidosConmigo);
router.get('/recuperarFicheroCompartido', auth.Authenticated,log.log, compartidos.recuperarFicheroCompartido);
router.post('/guardarArchivoCompartido', auth.Authenticated,log.log, compartidos.guardarArchivoCompartido);
router.post('/obtenerPublicas', auth.Authenticated,log.log, compartidos.obtenerPublicas);


module.exports = router;