var express = require('express');
var router = express.Router();
const auth = require('../middlewares/auth');
const log = require('../middlewares/log');



var datos = require('../controllers/DatosController.js');

router.get('/recuperarDatos', auth.Authenticated,log.log, datos.recuperarDatos);
router.post('/subirDatos', auth.Authenticated,log.log, datos.subirDatos);

module.exports = router;